COIN-OR::LEMON - Graph Library

Ignore:
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • lemon/bfs.h

    r301 r341  
    5252    ///Instantiates a PredMap.
    5353
    54     ///This function instantiates a PredMap.
     54    ///This function instantiates a PredMap. 
    5555    ///\param g is the digraph, to which we would like to define the
    5656    ///PredMap.
     
    8181    ///The type of the map that indicates which nodes are reached.
    8282
    83     ///The type of the map that indicates which nodes are reached.
    84     ///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept.
     83    ///The type of the map that indicates which nodes are reached.///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept.
    8584    typedef typename Digraph::template NodeMap<bool> ReachedMap;
    8685    ///Instantiates a ReachedMap.
  • lemon/list_graph.h

    r313 r341  
    841841
    842842    public:
    843       operator Edge() const { 
    844         return id != -1 ? edgeFromId(id / 2) : INVALID; 
     843      operator Edge() const {
     844        return id != -1 ? edgeFromId(id / 2) : INVALID;
    845845      }
    846846
  • lemon/smart_graph.h

    r313 r341  
    465465
    466466    public:
    467       operator Edge() const { 
    468         return _id != -1 ? edgeFromId(_id / 2) : INVALID; 
     467      operator Edge() const {
     468        return _id != -1 ? edgeFromId(_id / 2) : INVALID;
    469469      }
    470470
  • scripts/unify-sources.sh

    r337 r343  
    8989    if ! diff -q $1 $2 >/dev/null
    9090    then
    91         echo -n " [$3 failed]"
     91        echo
     92        echo -n "      $3 failed at line(s): "
     93        echo -n $(diff $1 $2 | grep '^[0-9]' | sed "s/^\(.*\)c.*$/ \1/g" |
     94                  sed "s/,/-/g" | paste -s -d',')
    9295        FAILED=YES
    9396    fi
     
    9598
    9699function check_warning() {
    97     echo -n " [$2 warning]"
     100    echo
     101    if [ "$2" == 'long lines' ]
     102    then
     103        echo -n "      $2 warning at line(s): "
     104        echo -n $(grep -n -E '.{81,}' $1 | sed "s/^\([0-9]*\)/ \1\t/g" |
     105                  cut -f 1 | paste -s -d',')
     106    else
     107        echo -n "      $2 warning"
     108    fi
    98109    WARNED=YES
    99110}
     
    213224    cat $1 | sed -e 's/ \+$//g' >$TMP_FILE
    214225
    215     "$ACTION"_action "$TMP_FILE" "$1" 'spaces'
     226    "$ACTION"_action "$TMP_FILE" "$1" 'trailing spaces'
    216227}
    217228
     
    226237
    227238function process_file() {
    228     echo -n "    $ACTION " $1...
     239    echo -n "    $ACTION $1..."
    229240
    230241    CHECKING="header tabs spaces long_lines"
     
    266277     Make all warnings into errors.
    267278  --all|-a
    268      All files in the repository will be checked.
     279     Check all source files in the repository.
    269280  --modified|-m
    270281     Check only the modified (and new) source files. This option is
     
    282293     Print this help message.
    283294  files
    284      The files to check/unify. If no file names are given, the
    285      modified source will be checked/unified
    286 
     295     The files to check/unify. If no file names are given, the modified
     296     source files will be checked/unified (just like using the
     297     --modified|-m option).
    287298"
    288299        exit 0
    289300    elif [ "$1" == '--dry-run' ] || [ "$1" == '-n' ]
    290301    then
    291         [ -n "$ACTION" ] && echo "Invalid option $1" >&2 && exit 1
     302        [ -n "$ACTION" ] && echo "Conflicting action options" >&2 && exit 1
    292303        ACTION=check
    293304    elif [ "$1" == "--all" ] || [ "$1" == '-a' ]
    294305    then
    295         [ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
     306        [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
    296307        FILES=all_files
    297308    elif [ "$1" == "--changed" ] || [ "$1" == '-c' ]
    298309    then
    299         [ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
     310        [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
    300311        FILES=changed_files
    301312    elif [ "$1" == "--modified" ] || [ "$1" == '-m' ]
    302313    then
    303         [ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
     314        [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
    304315        FILES=modified_files
    305316    elif [ "$1" == "--interactive" ] || [ "$1" == "-i" ]
    306317    then
    307         [ -n "$WARNING" ] && echo "Invalid option $1" >&2 && exit 1
     318        [ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
    308319        WARNING='INTERACTIVE'
    309320    elif [ "$1" == "--werror" ] || [ "$1" == "-w" ]
    310321    then
    311         [ -n "$WARNING" ] && echo "Invalid option $1" >&2 && exit 1
     322        [ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
    312323        WARNING='WERROR'
    313     elif [ $(echo $1 | cut -c 1) == '-' ]
     324    elif [ $(echo x$1 | cut -c 2) == '-' ]
    314325    then
    315326        echo "Invalid option $1" >&2 && exit 1
Note: See TracChangeset for help on using the changeset viewer.